Subject: Re: ds/sparse-checkout-clean

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Oct 2025 09:21:18 -0700

Derrick Stolee <[email-masked]> writes:

> On 9/25/2025 6:06 PM, Junio C Hamano wrote:
>
>> * ds/sparse-checkout-clean (2025-09-12) 7 commits
>>   (merged to 'next' on 2025-09-25 at 00b296f153)
>>  + t: expand tests around sparse merges and clean
>>  + sparse-index: point users to new 'clean' action
>>  + sparse-checkout: add --verbose option to 'clean'
>>  + dir: add generic "walk all files" helper
>>  + sparse-checkout: match some 'clean' behavior
>>  + sparse-checkout: add basics of 'clean' command
>>  + sparse-checkout: remove use of the_repository
>> 
>>  "git sparse-checkout" subcommand learned a new "clean" action to
>>  prune otherwise unused working-tree files that are outside the
>>  areas of interest.
>> 
>>  Will merge to 'master'.
>>  source: <[email-masked]>
>  
> I should have checked here first, but I pinged the patch series
> to see if Elijah wanted to give another round of review following
> his careful review of v2. If there is minor feedback, then maybe
> I can forward-fix on top of this branch.

Thanks.

https://lore.kernel.org/git/[email-masked]/

which Elijah concludes with:

    Yeah, I think I was hoping that patch 8 would instead be modified to
    handle the additional cases (or more patches added to make it all work
    out), but punting that for future work seems viable too.

    In summary, I think this series is close to ready to merge, but I
    think a couple wording improvements to an error message and advice
    message that I called out in separate emails on this series makes
    sense to fix up first.

    Thanks for working on this!

unblocks this topic, I think.

Thanks, both, for working well together.